## visad.bom
Class CurveDelete

    java.lang.Object
      visad.bom.CurveDelete

All Implemented Interfaces:
  ActionListener, EventListener

public class CurveDelete
extends Object
implements ActionListener

Field Summary
`(package private) DisplayImpl` `display`
`(package private) boolean` `lines`
`(package private) DataReferenceImpl` `new_ref`
`(package private) DataReferenceImpl` `ref`

Constructor Summary
`(package private)` `CurveDelete(DataReferenceImpl r, DisplayImpl d)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    DataReferenceImpl ref

### display

    DisplayImpl display

### lines

    boolean lines

### new_ref

    DataReferenceImpl new_ref

Constructor Detail

### CurveDelete

    CurveDelete(DataReferenceImpl r,
                DisplayImpl d)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`